<!doctype html>
<html lang="en">

<head>
  <meta http-equiv="Content-Security-Policy" content="default-src 'self'; script-src 'self'" />
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <link rel="stylesheet" href="../../../node_modules/bootstrap/dist/css/bootstrap-reboot.css">
  <link rel="stylesheet" href="../../../node_modules/bootstrap/dist/css/bootstrap-grid.css">
  <link rel="stylesheet" href="../../../node_modules/bootstrap/dist/css/bootstrap.css">
  <link rel="stylesheet" href="../../../node_modules/bootstrap/dist/css/bootstrap-utilities.css">
  <link rel="stylesheet" href="../../../node_modules/bootstrap/dist/css/bootstrap-grid.rtl.min.css">
  <link rel="stylesheet" href="../css/todoList.css" />
  <link rel="stylesheet" href="../css/headermenu.css" />
  <title>Document</title>
</head>

<body>
  <header class="header">
    <button class="circle" id="logoutbtn">
      <img src="../../assets/icons8-home.svg" alt="arrow">
    </button>
    <div class="dropdown">
      <button class="btn btn-primary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false" id="btnheader">
        Lists
      </button>    
      <ul class="dropdown-menu" id="dropdown-menu-lists">
        <li><a class="dropdown-item">new List</a></li>
      </ul>
    </div>
    <form class="d-flex search-form" role="search">
      <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
      <button class="btn btn-outline-primary searchbtn" type="submit">Search</button>
    </form>
    </form>
    <div class="dropdown nav-menu">
      <button class="btn btn-primary dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
        <svg xmlns="http://www.w3.org/2000/svg" x="0px" y="0px" width="25" height="25" viewBox="0 0 50 50" fill="white">
          <path d="M 5 8 A 2.0002 2.0002 0 1 0 5 12 L 45 12 A 2.0002 2.0002 0 1 0 45 8 L 5 8 z M 5 23 A 2.0002 2.0002 0 1 0 5 27 L 45 27 A 2.0002 2.0002 0 1 0 45 23 L 5 23 z M 5 38 A 2.0002 2.0002 0 1 0 5 42 L 45 42 A 2.0002 2.0002 0 1 0 45 38 L 5 38 z"></path>
        </svg>
      </button>    
      <ul class="dropdown-menu">
        <li><button class="dropdown-item" href="#">Edit List</button></li>
        <li><button class="dropdown-item" href="#">delete all finished Tasks</button></li>
        <li><button class="dropdown-item" href="#">today's tasks</button></li>
      </ul>
    </div>
    <div class="expanded-navmenu">
      <button class="btn btn-primary"> Edit List</button>
      <button class="btn btn-primary">delete all finished Tasks</button>
      <button class="btn btn-primary">today's tasks</button>
    </div>
 

  </header>
  <section class="tasksListSection" data-list="listTaskSection">
    <ul  id="taskList"></ul>
    <button class="circle addTask"><img src="../../assets/plus-svgrepo-com (1).svg" alt="" /></button>
  </section>
  
  <footer>
    <form id="fastTasks">
      <input type="text" name="task" class="fastNote" placeholder="fast note" />
      <button class="circle" type="submit">
        <div class="checkmark"></div>
      </button>
    </form>
  </footer>
  <script src="../../../node_modules/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
  <script src="../../scripts/todoList.js" type="module"></script>
  <script src="../../scripts/logout.js" type="module"></script>
  <script src="../../scripts/createFastTask.js" type="module"></script>
  <script src="../../scripts/deleteTask.js" type="module"></script>
  <script src="../../scripts/completeTask.js" type="module"></script>
  <script src="../../scripts/listTaksdropdown.js" type="module"></script>
</body>

</html>